@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
    --foreground-rgb: 0, 0, 0;
    --background-start-rgb: 214, 219, 220;
    --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
    :root {
        --foreground-rgb: 255, 255, 255;
        --background-start-rgb: 0, 0, 0;
        --background-end-rgb: 0, 0, 0;
    }
}

body {
    color: rgb(var(--background-end-rgb));
    background: linear-gradient(
            to bottom,
            transparent,
            rgb(var(--foreground-rgb))
    ) rgb(var(--foreground-rgb));
}

.dragging {
    min-width: 18rem;

    & .place {
        display: none;
    }

    /*opacity: 0.4;*/
    /*border-top: 1px solid #F4F5F6;*/
    /*border-bottom: 1px solid #F4F5F6;*/
    /*background: #F4F5F6;*/
}

.dragging_element_top {
    border-top: 3px solid #1E9BF0;
}

.dragging_element_bottom {
    border-bottom: 3px solid #1E9BF0;
}

@layer utilities {
    .text-balance {
        text-wrap: balance;
    }
}
